package com.yanzhu.jh.project.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.project.mapper.BaseBuildNodeMapper;
import com.yanzhu.jh.project.domain.BaseBuildNode;
import com.yanzhu.jh.project.service.IBaseBuildNodeService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 项目建设节点Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-07
 */
@Service
public class BaseBuildNodeServiceImpl implements IBaseBuildNodeService 
{
    @Autowired
    private BaseBuildNodeMapper baseBuildNodeMapper;

    /**
     * 查询项目建设节点
     * 
     * @param id 项目建设节点主键
     * @return 项目建设节点
     */
    @Override
    public BaseBuildNode selectBaseBuildNodeById(Long id)
    {
        return baseBuildNodeMapper.selectBaseBuildNodeById(id);
    }

    /**
     * 查询项目建设节点列表
     * 
     * @param baseBuildNode 项目建设节点
     * @return 项目建设节点
     */
    @Override
    public List<BaseBuildNode> selectBaseBuildNodeList(BaseBuildNode baseBuildNode)
    {
        return baseBuildNodeMapper.selectBaseBuildNodeList(baseBuildNode);
    }

    /**
     * 新增项目建设节点
     * 
     * @param baseBuildNode 项目建设节点
     * @return 结果
     */
    @Override
    public int insertBaseBuildNode(BaseBuildNode baseBuildNode)
    {
        baseBuildNode.setCreateBy(SecurityUtils.getUsername());
        baseBuildNode.setCreateTime(DateUtils.getNowDate());
        baseBuildNode.setIsDel(0l);
        return baseBuildNodeMapper.insertBaseBuildNode(baseBuildNode);
    }

    /**
     * 修改项目建设节点
     * 
     * @param baseBuildNode 项目建设节点
     * @return 结果
     */
    @Override
    public int updateBaseBuildNode(BaseBuildNode baseBuildNode)
    {
        baseBuildNode.setUpdateBy(SecurityUtils.getUsername());
        baseBuildNode.setUpdateTime(DateUtils.getNowDate());
        return baseBuildNodeMapper.updateBaseBuildNode(baseBuildNode);
    }

    /**
     * 批量删除项目建设节点
     * 
     * @param ids 需要删除的项目建设节点主键
     * @return 结果
     */
    @Override
    public int deleteBaseBuildNodeByIds(Long[] ids)
    {
        return baseBuildNodeMapper.deleteBaseBuildNodeByIds(ids);
    }

    /**
     * 删除项目建设节点信息
     * 
     * @param id 项目建设节点主键
     * @return 结果
     */
    @Override
    public int deleteBaseBuildNodeById(Long id)
    {
        return baseBuildNodeMapper.deleteBaseBuildNodeById(id);
    }
}
